Bug 183316 - gnome-system-log starts with an empty window
gnome-system-log starts with an empty window
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-utils (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: FC5Update
  Show dependency treegraph
 
Reported: 2006-02-28 00:51 EST by petrosyan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: gnome-utils-2.16.0-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-23 14:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
illustrating the bug (14.62 KB, image/png)
2006-02-28 00:51 EST, petrosyan
no flags Details

  None (edit)
Description petrosyan 2006-02-28 00:51:08 EST
Description of problem:
According to documentation:
"The first time you start System Log Viewer, the application displays several
log files by default (such as /var/log/messages)."
This is not the case for me. gnome-system-log starts with an empty window and no
log files.

Version-Release number of selected component (if applicable):
gnome-utils-2.13.93-1

How reproducible:
always

Steps to Reproduce:
run gnome-system-log

Actual results:
no log files are displayed

Expected results:
Several log files by default (such as /var/log/messages) should be displayed.

Additional info:
Attaching a screenshot illustrating the problem.
Comment 1 petrosyan 2006-02-28 00:51:08 EST
Created attachment 125383 [details]
illustrating the bug
Comment 2 Matthias Clasen 2006-03-03 11:33:12 EST
gnome-system-log tries to detect that it is running for the first time,
by checking if the /apps/gnome-system-log/logfiles list in gconf is set,
and use a default list of log files if it is not. For some reason, this
seems to fail. A simple workaround might be to put the default list as 
the default value in the schema. 

Another issue is that gnome-system-log is running as root (it needs to 
in order to be able to read the logs), and thus uses roots gconf database,
which is broken.
Comment 3 Matthias Clasen 2006-07-06 17:52:42 EDT
Add to FC6Destop tracker
Comment 4 petrosyan 2006-07-08 14:34:52 EDT
This bug has been fixed in gnome-utils-2.15.3-1, however it is still present in
Fedora Core 5. Should I close this bug?
Comment 5 Ray Strode [halfline] 2006-07-14 10:50:27 EDT
Would you be interested in seeing the fix in an FC5 Update?  If not, then yes. 
Otherwise, make this bug block the "FC5Update" tracker.
Comment 6 petrosyan 2006-10-23 14:34:01 EDT
this bug has been fixed in FC6

Note You need to log in before you can comment on or make changes to this bug.